package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.PlatformCashAccountDetailTypeEnum;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(student_course_fee_detail):
 */
public class StudentCourseFeeDetail {

	/**  */
	private Long studentRegistrationId;
	
	/** 交易金额 */
	private java.math.BigDecimal amount;
	
	/** 剩余课程金额 */
	private java.math.BigDecimal surplusCourseFee;
	
	/** 备注 */
	private String memo;
	
	/**  */
	private Integer operator;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setStudentRegistrationId(Long studentRegistrationId){
		this.studentRegistrationId = studentRegistrationId;
	}
	
	public Long getStudentRegistrationId(){
		return this.studentRegistrationId;
	}

	public void setAmount(java.math.BigDecimal amount){
		this.amount = amount;
	}
	
	public java.math.BigDecimal getAmount(){
		return this.amount;
	}
			
	public void setSurplusCourseFee(java.math.BigDecimal surplusCourseFee){
		this.surplusCourseFee = surplusCourseFee;
	}
	
	public java.math.BigDecimal getSurplusCourseFee(){
		return this.surplusCourseFee;
	}
			
	public void setMemo(String memo){
		this.memo = memo;
	}
	
	public String getMemo(){
		return this.memo;
	}
			
	public void setOperator(Integer operator){
		this.operator = operator;
	}
	
	public Integer getOperator(){
		return this.operator;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
